=== chirp/src/python3/Makefile ===
all:
install:
clean:
