=== debian/changelog ===
cctools (7.0.9-5) unstable; urgency=medium

  * Add dh-python to Build-Depends for --with python3.
  * Drop ${python3:Depends} in d/control for main package in favour of 
    python3 as dh_python3 incorrectly includes python2 depends 
  * Convert scripts to python3. Closes: #936277
  * Ack old bug fixed in previous release: Closes: #755181

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Nov 2019 08:45:05 +0000

cctools (7.0.9-4) unstable; urgency=medium

  * Change python3.7-examples to python3.8-examples: transition
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Oct 2019 10:17:43 +0000

cctools (7.0.9-3) unstable; urgency=medium

  * Move to debhelper-compat 12
  * Drop python-workqueue for python2 transition. Closes: #936277
  * Standards-Version: 4.4.0
  * Use python3.7-examples for 2to3 script

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Oct 2019 21:16:49 +0100

cctools (7.0.9-2) unstable; urgency=medium

  * sysmacro.patch: Ensure major/minor macros present on i386. Closes: #917626
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Jan 2019 12:15:16 +0000

cctools (7.0.9-1) unstable; urgency=medium

  * New upstream release, closes: #917626
  * Drop hard-coded xz compression
  * Standards-Version: 4.2.1
  * Set BUILD_* in configure for reproducible builds

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Dec 2018 07:21:13 +0000
