## cctools 7.0.22

=== allpairs/Makefile ===
PHONY_TARGETS = src

include ../.module.mk
