=== apps/wq_replica_exchange/Makefile ===

include ../../config.mk
include ../../rules.mk

all:

test:

install:
	cp protomol_functions.py ${CCTOOLS_INSTALL_DIR}/bin
	cp replica_exchange.py ${CCTOOLS_INSTALL_DIR}/bin

clean:
