=== debian/changelog ===
cctools (7.0.22-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Fix build by using -O0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Mar 2020 18:32:02 +0100

cctools (7.0.22-1) unstable; urgency=medium

  * New upstream release
  * Use dh-sequence-python3 instead of --with python3
  * Standards-Version: 4.5.0
  * Update patch python3.path -> python-paths.patch 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Mar 2020 14:38:55 +0000

cctools (7.0.9-5ubuntu1) focal; urgency=medium

  * Fix build by using -O0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jan 2020 16:20:22 +0100
