=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 12), 
-  dh-python,
+  dh-sequence-python3,
   python3-all-dev, 
   python3.8-examples,
   libglobus-common-dev,
@@ -19,7 +19,7 @@
   swig,
   m4, 
   mpi-default-dev
-Standards-Version: 4.4.1.0
+Standards-Version: 4.5.0
 Homepage: https://ccl.cse.nd.edu/software/
 Vcs-Browser: https://salsa.debian.org:/neurodebian-team/cctools.git
 Vcs-Git: https://salsa.debian.org:/neurodebian-team/cctools.git
