=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 
 # one ring to rule them all ...
 %:
-	dh $@ --with python3
+	dh $@ 
 
 PY3:=$(shell py3versions -d)
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -I /usr/include/$(PY3)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -I /usr/include/$(PY3) -O0
 
 override_dh_auto_configure:
 	# disable warning about unused results (necessary because warning is error
@@ -29,8 +29,8 @@
 	if [ -n "$(non_default_python3_versions)" ]; then \
 		for pyver in $(non_default_python3_versions); do \
 			echo DEBUG $${pyver} ; \
-			CFLAGS="$(CFLAGS) -DNDEBUG -Wno-unused-result" TWOTOTHREE=/usr/share/doc/python$${pyver}/examples/scripts/2to3  PYTHON3=/usr/bin/python$${pyver} ./configure.rerun ; \
-			make -B -C work_queue/src/python3 install CCTOOLS_INSTALL_DIR=$(CURDIR)/debian/tmp ; \
+			CFLAGS="$(CFLAGS) -DNDEBUG -Wno-unused-result" TWOTOTHREE=/usr/share/doc/python3.8/examples/scripts/2to3  PYTHON3=/usr/bin/python$${pyver} ./configure.rerun ; \
+			make -B -C work_queue/src/bindings/python3 install CCTOOLS_INSTALL_DIR=$(CURDIR)/debian/tmp ; \
 		done ; \
 	fi
 	# for now remove the 'apps' scripts till upstream confirms that the language
